<html>
<head>
<title>Ogre::RTShader Namespace Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RTShader Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1CGProgramProcessor.html">CGProgramProcessor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">CG Language program processor class.  <a href="classOgre_1_1RTShader_1_1CGProgramProcessor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1CGProgramWriter.html">CGProgramWriter</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">CG target language writer implementation.  <a href="classOgre_1_1RTShader_1_1CGProgramWriter.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderProgramWriterCGFactory.html">ShaderProgramWriterCGFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">CG program writer factory implementation.  <a href="classOgre_1_1RTShader_1_1ShaderProgramWriterCGFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Function.html">Function</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A class that represents a shader based program function.  <a href="classOgre_1_1RTShader_1_1Function.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1FunctionAtom.html">FunctionAtom</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A class that represents an atomic code section of shader based program function.  <a href="classOgre_1_1RTShader_1_1FunctionAtom.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Operand.html">Operand</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A class that represents a function operand (its the combination of a parameter the in/out semantic and the used fields)  <a href="classOgre_1_1RTShader_1_1Operand.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1FunctionInvocation.html">FunctionInvocation</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A class that represents function invocation code from shader based program function.  <a href="classOgre_1_1RTShader_1_1FunctionInvocation.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html">ShaderGenerator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shader generator system main interface.  <a href="classOgre_1_1RTShader_1_1ShaderGenerator.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1GLSLESProgramProcessor.html">GLSLESProgramProcessor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">GLSL ES Language program processor class.  <a href="classOgre_1_1RTShader_1_1GLSLESProgramProcessor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1GLSLESProgramWriter.html">GLSLESProgramWriter</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">GLSL ES target language writer implementation.  <a href="classOgre_1_1RTShader_1_1GLSLESProgramWriter.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderProgramWriterGLSLESFactory.html">ShaderProgramWriterGLSLESFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">GLSL ES program writer factory implementation.  <a href="classOgre_1_1RTShader_1_1ShaderProgramWriterGLSLESFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1GLSLProgramProcessor.html">GLSLProgramProcessor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">GLSL Language program processor class.  <a href="classOgre_1_1RTShader_1_1GLSLProgramProcessor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1GLSLProgramWriter.html">GLSLProgramWriter</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">GLSL target language writer implementation.  <a href="classOgre_1_1RTShader_1_1GLSLProgramWriter.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderProgramWriterGLSLFactory.html">ShaderProgramWriterGLSLFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">GLSL program writer factory implementation.  <a href="classOgre_1_1RTShader_1_1ShaderProgramWriterGLSLFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html">HLSLProgramProcessor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">CG Language program processor class.  <a href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramWriter.html">HLSLProgramWriter</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">HLSL target language writer implementation.  <a href="classOgre_1_1RTShader_1_1HLSLProgramWriter.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderProgramWriterHLSLFactory.html">ShaderProgramWriterHLSLFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">HLSL program writer factory implementation.  <a href="classOgre_1_1RTShader_1_1ShaderProgramWriterHLSLFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1SGMaterialSerializerListener.html">SGMaterialSerializerListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class responsible for translating core features of the RT Shader System for <a class="el" href="namespaceOgre.html">Ogre</a> material scripts.  <a href="classOgre_1_1RTShader_1_1SGMaterialSerializerListener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html">Parameter</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A class that represents a shader based program parameter.  <a href="classOgre_1_1RTShader_1_1Parameter.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1UniformParameter.html">UniformParameter</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Uniform parameter class.  <a href="classOgre_1_1RTShader_1_1UniformParameter.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ConstParameter.html">ConstParameter</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper template which is the base for our ConstParameters.  <a href="classOgre_1_1RTShader_1_1ConstParameter.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html">ParameterFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper utility class that creates common parameters.  <a href="classOgre_1_1RTShader_1_1ParameterFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1Program.html">Program</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A class that represents a shader based program.  <a href="classOgre_1_1RTShader_1_1Program.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramManager.html">ProgramManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A singleton manager class that manages shader based programs.  <a href="classOgre_1_1RTShader_1_1ProgramManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">ProgramProcessor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A class that provides extra processing services on CPU based programs.  <a href="classOgre_1_1RTShader_1_1ProgramProcessor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramSet.html">ProgramSet</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Container class for shader based programs.  <a href="classOgre_1_1RTShader_1_1ProgramSet.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramWriter.html">ProgramWriter</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class interface for shader program writers.  <a href="classOgre_1_1RTShader_1_1ProgramWriter.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramWriterFactory.html">ProgramWriterFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Interface definition for factories of ShaderProgramWriter.  <a href="classOgre_1_1RTShader_1_1ProgramWriterFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ProgramWriterManager.html">ProgramWriterManager</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">RenderState</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a container class for sub render state class.  <a href="classOgre_1_1RTShader_1_1RenderState.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">TargetRenderState</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the target render state.  <a href="classOgre_1_1RTShader_1_1TargetRenderState.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1SGScriptTranslator.html">SGScriptTranslator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class responsible for translating core features of the RT Shader System for <a class="el" href="namespaceOgre.html">Ogre</a> material scripts.  <a href="classOgre_1_1RTShader_1_1SGScriptTranslator.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1SubRenderState.html">SubRenderState</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class is the base interface of sub part from a shader based rendering pipeline.  <a href="classOgre_1_1RTShader_1_1SubRenderState.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1SubRenderStateAccessor.html">SubRenderStateAccessor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class uses as accessor from a template <a class="el" href="classOgre_1_1RTShader_1_1SubRenderState.html" title="This class is the base interface of sub part from a shader based rendering pipeline.">SubRenderState</a> to all of its instances that created based on it.  <a href="classOgre_1_1RTShader_1_1SubRenderStateAccessor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1SubRenderStateFactory.html">SubRenderStateFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract factory interface for creating <a class="el" href="classOgre_1_1RTShader_1_1SubRenderState.html" title="This class is the base interface of sub part from a shader based rendering pipeline.">SubRenderState</a> implementation instances.  <a href="classOgre_1_1RTShader_1_1SubRenderStateFactory.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1RTShader_1_1Function.html">Function</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga911c4514bf2ca43be16f14ab628d2e87">ShaderFunctionList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
ShaderFunctionList::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga91a7dab08d3a156422a3187fdb79f9d1">ShaderFunctionIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
ShaderFunctionList::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga25959f998507ff542b6c6be42e295c2c">ShaderFunctionConstIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1RTShader_1_1FunctionAtom.html">FunctionAtom</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga3dd6945ed92e7a6afc9274f40081a981">FunctionAtomInstanceList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
FunctionAtomInstanceList::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga93c3d79b3386560226545b89126d507c">FunctionAtomInstanceIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
FunctionAtomInstanceList::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaac0a5ca5463f1d828d1c29d396e58e31">FunctionAtomInstanceConstIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html">Parameter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga722d7eb730c66ec0262df86ebf9888b1">ShaderParameterList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
ShaderParameterList::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga00290ddf4797cdab436bcb4f22ee303c">ShaderParameterIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
ShaderParameterList::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gab2c7f5ec32b9e2e18877e700eaefceac">ShaderParameterConstIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1RTShader_1_1UniformParameter.html">UniformParameter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a><br class="typebreak"/>
&lt; <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga76848ed6c023c3fe0a5e9f25f87b78a8">UniformParameterList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
UniformParameterList::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga63652385aee34f38c33f8aed62b6f948">UniformParameterIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
UniformParameterList::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga61c1e13c93441a655f82c770929f006c">UniformParameterConstIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">RenderState</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga3a45db6ba3ebab9f7a49005934a19213">RenderStateList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef RenderStateList::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga9eabb56de59faf73d0671baef58ba5b0">RenderStateIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
RenderStateList::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga9b53abaeb85c8e817dafe314bf1ef7e8">RenderStateConstIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1RTShader_1_1SubRenderStateAccessor.html">SubRenderStateAccessor</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaecbe3817ee5b43f1962309c03d39da99">SubRenderStateAccessorPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1RTShader_1_1SubRenderState.html">SubRenderState</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga279d48a1cabb619e85aba3c931e71b33">SubRenderStateList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
SubRenderStateList::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga95497cc30a987c52f4159875824faa54">SubRenderStateListIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
SubRenderStateList::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga77f0abdb5d584c610fa03cf238295898">SubRenderStateListConstIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1set.html">set</a>&lt; <a class="el" href="classOgre_1_1RTShader_1_1SubRenderState.html">SubRenderState</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga80ca8b84f487bd915b32ae12159a0131">SubRenderStateSet</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SubRenderStateSet::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gab67a8756fb7f065af7052ef1fb14b1ec">SubRenderStateSetIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
SubRenderStateSet::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga00d3d84afe3e5e75ca3fe1050c2fd29a">SubRenderStateSetConstIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga7d20b2397c3eab2b52ec405863c6f274">FFPVertexShaderStage</a> { <br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274ad955465ff061413a966f568fc187599e">FFP_VS_PRE_PROCESS</a> =  0, 
<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a04f47ef20926c0a10951eb3d6fa9af91">FFP_VS_TRANSFORM</a> =  100, 
<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a5f213e0b61cc3a0bae05704eac26fa35">FFP_VS_COLOUR</a> =  200, 
<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274afdb7e1c00705255e5a10459e723e9acd">FFP_VS_LIGHTING</a> =  300, 
<br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a498dcf4231b63a549b001420ea5692ff">FFP_VS_TEXTURING</a> =  400, 
<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a8b4930a3fd90d5b7222960fc5727b8cf">FFP_VS_FOG</a> =  500, 
<a class="el" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274acc37fcb1e383c065bd730c7ac13fde90">FFP_VS_POST_PROCESS</a> =  2000
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga06b7172046e21956b5eb485dbd7fc29a">FFPFragmentShaderStage</a> { <br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa326b1eb04022c84f9151bac6663dc40d">FFP_PS_PRE_PROCESS</a> =  0, 
<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa776dac89aa5e4d06186a5dcb20a3fa9b">FFP_PS_COLOUR_BEGIN</a> =  100, 
<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa8cdc0e4095b09efda2fa34e203cb8b61">FFP_PS_SAMPLING</a> =  150, 
<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aab325d310fd56d8564be69550b319ecc5">FFP_PS_TEXTURING</a> =  200, 
<br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aadff5a4ef68640ae288c15265b3f8fc3b">FFP_PS_COLOUR_END</a> =  300, 
<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aad8d2dd505e7f3d5c87c738e6afa0d4fc">FFP_PS_FOG</a> =  400, 
<a class="el" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa0514e394e633d17623c38771d7e5d917">FFP_PS_POST_PROCESS</a> =  500
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga4c92eba13eb8038d35530610c58ceff4">FFPShaderStage</a> { <br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a3c4091f2a0e44643b34801419c0ea987">FFP_PRE_PROCESS</a> =  0, 
<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a89872e19110c14f19fa11bd6c04755c4">FFP_TRANSFORM</a> =  100, 
<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4ad2c91bf8902fec593abd2d6471d7d05c">FFP_COLOUR</a> =  200, 
<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a4981bd811954d8abdb7623226e81d9ab">FFP_LIGHTING</a> =  300, 
<br/>
&#160;&#160;<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a4633e1da9bc8ecbdecf34cd5cc4918d0">FFP_TEXTURING</a> =  400, 
<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4affe0e1ca62c12578c98893daced6125e">FFP_FOG</a> =  500, 
<a class="el" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a11352bb182b27667fa58e81cd75a5b21">FFP_POST_PROCESS</a> =  600
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre_1_1RTShader.html#ab0694782a83ac342574ac3cf1e053355">VSOutputCompactPolicy</a> { <a class="el" href="namespaceOgre_1_1RTShader.html#ab0694782a83ac342574ac3cf1e053355a8cfbf169adc68d505a72c272dce91f2c">VSOCP_LOW</a> =  0, 
<a class="el" href="namespaceOgre_1_1RTShader.html#ab0694782a83ac342574ac3cf1e053355ae8945142e897f91a533021242ce30313">VSOCP_MEDIUM</a> =  1, 
<a class="el" href="namespaceOgre_1_1RTShader.html#ab0694782a83ac342574ac3cf1e053355af47ac7ffe0e82bd495a51205c2132aa4">VSOCP_HIGH</a> =  2
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre_1_1RTShader.html#a8c100ce939d23573f062f3ad579998a1">SkinningType</a> { <a class="el" href="namespaceOgre_1_1RTShader.html#a8c100ce939d23573f062f3ad579998a1ab979c94e41c61d62d15f4771c5202e3c">ST_LINEAR</a>, 
<a class="el" href="namespaceOgre_1_1RTShader.html#a8c100ce939d23573f062f3ad579998a1a08c0d76a7a8df2b6a839749c5be6c1af">ST_DUAL_QUATERNION</a>
 }</td></tr>
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceOgre_1_1RTShader.html#a54beb4e7e46937267d54e977a0146683">sh_hash_combine</a> (<a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> &amp;seed, T const &amp;v)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility function with same style as boost::hash_combine.  <a href="#a54beb4e7e46937267d54e977a0146683"></a><br/></td></tr>
</table>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="a8c100ce939d23573f062f3ad579998a1"></a><!-- doxytag: member="Ogre::RTShader::SkinningType" ref="a8c100ce939d23573f062f3ad579998a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceOgre_1_1RTShader.html#a8c100ce939d23573f062f3ad579998a1">Ogre::RTShader::SkinningType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a8c100ce939d23573f062f3ad579998a1ab979c94e41c61d62d15f4771c5202e3c"></a><!-- doxytag: member="ST_LINEAR" ref="a8c100ce939d23573f062f3ad579998a1ab979c94e41c61d62d15f4771c5202e3c" args="" -->ST_LINEAR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8c100ce939d23573f062f3ad579998a1a08c0d76a7a8df2b6a839749c5be6c1af"></a><!-- doxytag: member="ST_DUAL_QUATERNION" ref="a8c100ce939d23573f062f3ad579998a1a08c0d76a7a8df2b6a839749c5be6c1af" args="" -->ST_DUAL_QUATERNION</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreShaderPrerequisites_8h_source.html#l00088">88</a> of file <a class="el" href="OgreShaderPrerequisites_8h_source.html">OgreShaderPrerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0694782a83ac342574ac3cf1e053355"></a><!-- doxytag: member="Ogre::RTShader::VSOutputCompactPolicy" ref="ab0694782a83ac342574ac3cf1e053355" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceOgre_1_1RTShader.html#ab0694782a83ac342574ac3cf1e053355">Ogre::RTShader::VSOutputCompactPolicy</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ab0694782a83ac342574ac3cf1e053355a8cfbf169adc68d505a72c272dce91f2c"></a><!-- doxytag: member="VSOCP_LOW" ref="ab0694782a83ac342574ac3cf1e053355a8cfbf169adc68d505a72c272dce91f2c" args="" -->VSOCP_LOW</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ab0694782a83ac342574ac3cf1e053355ae8945142e897f91a533021242ce30313"></a><!-- doxytag: member="VSOCP_MEDIUM" ref="ab0694782a83ac342574ac3cf1e053355ae8945142e897f91a533021242ce30313" args="" -->VSOCP_MEDIUM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ab0694782a83ac342574ac3cf1e053355af47ac7ffe0e82bd495a51205c2132aa4"></a><!-- doxytag: member="VSOCP_HIGH" ref="ab0694782a83ac342574ac3cf1e053355af47ac7ffe0e82bd495a51205c2132aa4" args="" -->VSOCP_HIGH</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreShaderPrerequisites_8h_source.html#l00081">81</a> of file <a class="el" href="OgreShaderPrerequisites_8h_source.html">OgreShaderPrerequisites.h</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a54beb4e7e46937267d54e977a0146683"></a><!-- doxytag: member="Ogre::RTShader::sh_hash_combine" ref="a54beb4e7e46937267d54e977a0146683" args="(uint32 &amp;seed, T const &amp;v)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="namespaceOgre_1_1RTShader.html#a54beb4e7e46937267d54e977a0146683">Ogre::RTShader::sh_hash_combine</a> </td>
          <td>(</td>
          <td class="paramtype">uint32 &amp;&#160;</td>
          <td class="paramname"><em>seed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility function with same style as boost::hash_combine. </p>

<p>Definition at line <a class="el" href="OgreShaderPrerequisites_8h_source.html#l00075">75</a> of file <a class="el" href="OgreShaderPrerequisites_8h_source.html">OgreShaderPrerequisites.h</a>.</p>

<p>References <a class="el" href="group__General.html#gad838a1c9fb47071ba019701841b4cf10">Ogre::FastHash()</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:31
</p>
</body>
</html>
